<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.qmth.teachcloud.mark.mapper.MarkHeaderTagMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.qmth.teachcloud.mark.entity.MarkHeaderTag">
        <id column="id" property="id" />
        <result column="student_id" property="studentId" />
        <result column="group_number" property="groupNumber" />
        <result column="user_id" property="userId" />
        <result column="tag_name" property="tagName" />
        <result column="position_x" property="positionX" />
        <result column="position_y" property="positionY" />
        <result column="offset_index" property="offsetIndex" />
        <result column="offset_x" property="offsetX" />
        <result column="offset_y" property="offsetY" />
    </resultMap>

</mapper>
